Question

3
Replies
511
Views
AbubakerS Member since 2015 21 posts
Amazon Corp
Posted: February 1, 2016
Last activity: February 1, 2016
Closed
Solved

Error when deploying prpc_j2ee14_jbossJBM.ear

I'm getting below error when I try to deploy

21:52:41,304 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-2) MSC000001: Failed to start service jboss.deployment.unit."prpc_j2ee14_jbossJBM.ear".STRUCTURE: org.jboss.msc.service.StartException in service jboss.deployment.unit."prpc_j2ee14_jbossJBM.ear".STRUCTURE: JBAS018733: Failed to process phase STRUCTURE of deployment "prpc_j2ee14_jbossJBM.ear"

        at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:166) [jboss-as-server-7.4.0.Final-redhat-19.jar:7.4.0.Final-redhat-19]

        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]

        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_31]

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_31]

        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_31]

Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS016701: Unsupported ear module type: META-INF/jboss/jboss-prasync-service.xml

        at org.jboss.as.ee.structure.EarStructureProcessor.deploy(EarStructureProcessor.java:182)

        at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:159) [jboss-as-server-7.4.0.Final-redhat-19.jar:7.4.0.Final-redhat-19]

        ... 5 more

I followed the steps in the PDN article

https://pdn.pega.com/support-articles/unable-deploy-pega-717-jboss-63

https://pdn.pega.com/support-articles/error-deploying-prpcj2ee14jboss61jbmear-jboss-eap-63-jvm.

But I still see the same error. Can you please let me know how can I resolve this?

Low-Code App Development Installation and Deployment
Moderation Team has archived post
Share this page LinkedIn